Android Studio : 程序包org.apache.http不存在

Android 专栏收录该内容
135 篇文章 1 订阅

转载自:Android程序报错:程序包org.apache.http不存在——Android 6.0已经不支持HttpClient

问题:升级 Android Studio 项目的 BuildTool 后,程序报错

错误信息

原因:

Android 6.0 已经不支持 HttpClient 了

解决方法:

在 Module 的 build.gradle 中加入useLibrary 'org.apache.http.legacy'

apply plugin: 'com.android.library'

android {
    compileSdkVersion 25
    buildToolsVersion '25.0.0'
    useLibrary 'org.apache.http.legacy'

    defaultConfig {
        minSdkVersion 10
        targetSdkVersion 22
        versionCode 1001
        versionName "1.0.0.1"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.android.support:appcompat-v7:25.3.1'
}

  • 0
    点赞
  • 0
    评论
  • 1
    收藏
  • 扫一扫,分享海报

©️2022 CSDN 皮肤主题:撸撸猫 设计师:马嘣嘣 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值